Skip to content

Traffic Overview V2.

POST
/api/shape/bot/namespaces/{namespace}/v2/reporting/traffic/overview
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v2/reporting/traffic/overview \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "category": "example", "end_time": "example", "filters": { "action_taken": { "actions_taken": [ "example" ], "op": "IN" }, "app_id_filter": { "app_id_strings": [ "example" ], "op": "IN" }, "application_name": { "application_names": [ "example" ], "op": "IN" }, "as_org_filter": { "as_orgs": [ "example" ], "op": "IN" }, "attack_intent_filter": { "attack_intent_strings": [ "example" ], "op": "IN" }, "automation_type_filter": { "automation_type_strings": [ "example" ], "op": "IN" }, "browser_filter": { "browser_strings": [ "example" ], "op": "IN" }, "country_filter": { "country_strings": [ "example" ], "op": "IN" }, "host_filter": { "host_strings": [ "example" ], "op": "IN" }, "inference_filter": { "inference_strings": [ "example" ], "op": "IN" }, "ip_filter": { "ips": [ "example" ], "op": "IN" }, "method_filter": { "method_strings": [ "example" ], "op": "IN" }, "os_filter": { "op": "IN", "os_strings": [ "example" ] }, "referer_filter": { "op": "IN", "referer_strings": [ "example" ] }, "region_filter": "US", "traffic_type_filter": { "op": "IN", "traffic_type_strings": [ "example" ] }, "ua_filter": { "op": "IN", "ua_strings": [ "example" ] }, "uri_filter": { "op": "IN", "uri_strings": [ "example" ] } }, "namespace": "example", "start_time": "example", "use_raw_data": true, "virtual_host": "example" }'

GET traffic overview v2.

Examples of this operation.

namespace
required
string

Namespace

x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.

Media typeapplication/json
TrafficOverviewRequest

Request for Shape Bot Defense traffic overview.

object
category
Category

Endpoint category label.

string
<= 1024 characters
end_time
End time

End time of the query period Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
filters
object
action_taken
object
actions_taken
Action Taken

A list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
app_id_filter
object
app_id_strings
App ID Strings

An unordered list of App ID strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
application_name
object
application_names
Application Name

A list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
as_org_filter
object
as_orgs
AS Organizations

An unordered list of as org strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
attack_intent_filter
object
attack_intent_strings
Attack Intent Strings

An list of strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
automation_type_filter
object
automation_type_strings
Automation Type Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
browser_filter
object
browser_strings
Browser Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
country_filter
object
country_strings
Country Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
host_filter
object
host_strings
Host Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
inference_filter
object
inference_strings
Inference Strings

An list of strings Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
ip_filter
object
ips
IP Addresses

An unordered list of IPv4 addresses Required: YES.

Array<string>
<= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
method_filter
object
method_strings
Method Strings

An list of strings Required: YES.

Array<string>
>= 1 items <= 64 items
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
os_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
os_strings
OS Strings

An list of strings Required: YES.

Array<string>
<= 64 items
referer_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
referer_strings
Inference Strings

An list of strings Required: YES.

Array<string>
<= 64 items
region_filter
string
default: US
Allowed values: US EU ASIA CA
traffic_type_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
traffic_type_strings
Traffic Type Strings

An list of strings Required: YES.

Array<string>
<= 64 items
ua_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
ua_strings
User Agent Strings

An unordered list of user agent strings Required: YES.

Array<string>
<= 64 items
uri_filter
object
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
uri_strings
URI Strings

An list of strings Required: YES.

Array<string>
<= 64 items
namespace
Namespace

Namespace is used to scope the query. Only virtual_host in given namespace will be considered. Required: YES.

string
>= 6 characters <= 1024 characters
start_time
Start time

Start time of the query period Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
use_raw_data
Use raw data

Optional: by default is false. If use_raw_data = True and referer filter is set, then backend will query raw data.

boolean format: boolean
virtual_host
Virtual Host Name

Name of Virtual Host to scope the query Required: YES.

string
<= 1024 characters

A successful response.

Media typeapplication/json
TrafficOverviewV2Response

Response that contains Shape Bot Defense traffic overview.

object
bot_trend
Bot Trend

Trend of the number of HTTP requests identified as bot traffic.

number format: double
good_bot
Good Bot

Number of HTTP requests identified as good bot traffic within specified time interval.

string format: uint64
<= 1024 characters
good_bot_percentage
Good Bot Percentage

The percentage of the number of good bot traffic / the total number.

number format: double
good_bot_previous
Good Bot in the previous time interval

Number of HTTP requests identified as good bot traffic within the previous specified time interval.

string format: uint64
<= 1024 characters
good_bot_sentiment
Good Bot Sentiment

The sentiment for the trend of good bot traffic.

string
<= 1024 characters
good_bot_trend
Good Bot Trend

Trend of the number of HTTP requests identified as good bot traffic.

number format: double
human
Human

Number of HTTP requests identified as human traffic within specified time interval.

string format: uint64
<= 1024 characters
human_percentage
Human Percentage

The percentage of the number of human traffic / the total number.

number format: double
human_previous
Human in the previous time interval

Number of HTTP requests identified as human traffic within the previous specified time interval.

string format: uint64
<= 1024 characters
human_sentiment
Human Sentiment

The sentiment for the trend of human traffic.

string
<= 1024 characters
human_trend
Human Trend

Trend of the number of HTTP requests identified as human traffic.

number format: double
malicious_bot
Malicious Bot

Number of HTTP requests identified as malicious bot traffic within specified time interval.

string format: uint64
<= 1024 characters
malicious_bot_percentage
Malicious Bot Percentage

The percentage of the number of malicious bot traffic / the total number.

number format: double
malicious_bot_previous
Malicious Bot in the previous time interval

Number of HTTP requests identified as malicious bot traffic within the previous specified time interval.

string format: uint64
<= 1024 characters
malicious_bot_sentiment
Malicious Bot Sentiment

The sentiment for the trend of malicious bot traffic.

string
<= 1024 characters
others
Others

Number of HTTP requests identified as other traffic within specified time interval.

string format: uint64
<= 1024 characters
others_percentage
Others Percentage

The percentage of the number of others traffic / the total number.

number format: double
others_previous
Others in the previous time interval

Number of HTTP requests identified as other traffic within the previous specified time interval.

string format: uint64
<= 1024 characters
others_trend
Others Trend

Trend of the number of HTTP requests identified as other traffic.

number format: double
total
Total

Total number of HTTP requests within specified time interval.

string format: uint64
<= 1024 characters
total_previous
total in the previous time interval

Total number of HTTP requests within the previous specified time interval.

string format: uint64
<= 1024 characters
total_sentiment
Total Sentiment

The sentiment for the trend of total traffic.

string
<= 1024 characters
total_trend
Total Trend

Trend of the total number of HTTP requests.

number format: double
Examplegenerated
{
"bot_trend": 1,
"good_bot": "example",
"good_bot_percentage": 1,
"good_bot_previous": "example",
"good_bot_sentiment": "example",
"good_bot_trend": 1,
"human": "example",
"human_percentage": 1,
"human_previous": "example",
"human_sentiment": "example",
"human_trend": 1,
"malicious_bot": "example",
"malicious_bot_percentage": 1,
"malicious_bot_previous": "example",
"malicious_bot_sentiment": "example",
"others": "example",
"others_percentage": 1,
"others_previous": "example",
"others_trend": 1,
"total": "example",
"total_previous": "example",
"total_sentiment": "example",
"total_trend": 1
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example